package com.lanyuanxiaoyao.service.api.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * Hoodie 提交信息
 *
 * @author ZhangJiacheng
 * @date 2022-07-05
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class HoodieCommitMetadata {
    private Long totalScanTime;
    private Long totalLogFilesCompacted;
    private Long totalLogFilesSize;
    private Long totalRecordsDeleted;
    private Long totalCompactedRecordsUpdated;
    private Long totalLogRecordsCompacted;

    public Long getTotalScanTime() {
        return totalScanTime;
    }

    public void setTotalScanTime(Long totalScanTime) {
        this.totalScanTime = totalScanTime;
    }

    public Long getTotalLogFilesCompacted() {
        return totalLogFilesCompacted;
    }

    public void setTotalLogFilesCompacted(Long totalLogFilesCompacted) {
        this.totalLogFilesCompacted = totalLogFilesCompacted;
    }

    public Long getTotalLogFilesSize() {
        return totalLogFilesSize;
    }

    public void setTotalLogFilesSize(Long totalLogFilesSize) {
        this.totalLogFilesSize = totalLogFilesSize;
    }

    public Long getTotalRecordsDeleted() {
        return totalRecordsDeleted;
    }

    public void setTotalRecordsDeleted(Long totalRecordsDeleted) {
        this.totalRecordsDeleted = totalRecordsDeleted;
    }

    public Long getTotalCompactedRecordsUpdated() {
        return totalCompactedRecordsUpdated;
    }

    public void setTotalCompactedRecordsUpdated(Long totalCompactedRecordsUpdated) {
        this.totalCompactedRecordsUpdated = totalCompactedRecordsUpdated;
    }

    public Long getTotalLogRecordsCompacted() {
        return totalLogRecordsCompacted;
    }

    public void setTotalLogRecordsCompacted(Long totalLogRecordsCompacted) {
        this.totalLogRecordsCompacted = totalLogRecordsCompacted;
    }

    @Override
    public String toString() {
        return "HoodieCommitMetadata{" +
               "totalScanTime=" + totalScanTime +
               ", totalLogFilesCompacted=" + totalLogFilesCompacted +
               ", totalLogFilesSize=" + totalLogFilesSize +
               ", totalRecordsDeleted=" + totalRecordsDeleted +
               ", totalCompactedRecordsUpdated=" + totalCompactedRecordsUpdated +
               ", totalLogRecordsCompacted=" + totalLogRecordsCompacted +
               '}';
    }
}
